summaryrefslogtreecommitdiff
path: root/infrastructure/setup-debian-chroot.sh
diff options
context:
space:
mode:
authorReinhard Tartler <siretart@tauware.de>2020-05-10 19:17:17 -0400
committerReinhard Tartler <siretart@tauware.de>2020-05-10 19:17:17 -0400
commit228bc06db9e262b24a6c235b1e036cc8ef78565f (patch)
tree3703ceb787cf9345600fae3939afeccca7c47719 /infrastructure/setup-debian-chroot.sh
parentffb043c482053896b0190ea5ddc1cf2ba70cb4f0 (diff)
parentc5c04da3823c36f03408821cbc5019ec18613922 (diff)
Diffstat (limited to 'infrastructure/setup-debian-chroot.sh')
-rwxr-xr-xinfrastructure/setup-debian-chroot.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/infrastructure/setup-debian-chroot.sh b/infrastructure/setup-debian-chroot.sh
new file mode 100755
index 00000000..1e03bd75
--- /dev/null
+++ b/infrastructure/setup-debian-chroot.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -ex
+
+CHROOT_BASE=/var/chroot
+LSB_RELEASE=$(lsb_release -s -c)
+
+apt-get update
+apt-get install -y debootstrap schroot
+
+mkdir -p ${CHROOT_BASE}
+debootstrap --arch=i386 --variant=buildd "${LSB_RELEASE}" "${CHROOT_BASE}/${LSB_RELEASE}-i386" http://deb.debian.org/debian
+cat > /etc/schroot/chroot.d/ci <<EOF
+[${LSB_RELEASE}]
+type=directory
+directory=${CHROOT_BASE}/${LSB_RELEASE}-i386
+personality=linux32
+EOF